// Завдання

// Реалізувати функцію, яка виконуватиме математичні операції з введеними користувачем числами. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// Технічні вимоги:
// Отримати за допомогою модального вікна браузера два числа.
// Отримати за допомогою модального вікна браузера математичну операцію, яку потрібно виконати. Сюди може бути введено +, -, *, /.
// Створити функцію, в яку передати два значення та операцію.
// Вивести у консоль результат виконання функції.
// Необов'язкове завдання підвищеної складності
// Після введення даних додати перевірку їхньої коректності. Якщо користувач не ввів числа, або при вводі вказав не числа, - запитати обидва числа знову (при цьому значенням за замовчуванням для кожної зі змінних має бути введена інформація раніше).


let num1 = prompt('Type first number');
while (isNaN(num1)) {
   num1 = prompt('Type first number', num1);  
}
num1 = Number(num1);

let num2 = prompt('Type second number');
while (isNaN(num2)) {
    num2 = prompt('Type first number', num2);  
 }
 num2 = Number(num2);

let operation = prompt('Type operation (+, -, *, /)');

function result(a, b, c) {
    let res;
    switch (c) {
        case '+':
            res = a + b;
            break;
        case '-':
            res = a - b;
            break;
        case '*':
            res = a * b;
            break;
        case '/':
            res = a / b;
            break;
    }

    return res;
}

console.log(result(num1, num2, operation));

// Теоретичні питання

// Описати своїми словами навіщо потрібні функції у програмуванні.
// - функції можуть виконувати різні дії та викликатися будь-яку кількість разів, що робить їх корисними

// Описати своїми словами, навіщо у передавати аргумент.
// - крім роботи з статичними значеннями аргументів, у функцію можна передавати будь-які значення аргументів, змінні, інші функції тощо

// Що таке оператор return та як він працює всередині функції?
// return завершає виконання функції та повертає ії значення
